Loading...
Searching...
No Matches
etl::ireference_counted_message_pool Class Referenceabstract

Interface for a reference counted message pool. More...

`#include <ireference_counted_message_pool.h>`

## Public Member Functions

virtual void | release (const etl::ireference_counted_message &msg)=0

## Protected Member Functions

virtual void | lock ()
virtual void | unlock ()

## Detailed Description

Interface for a reference counted message pool.

## Member Function Documentation

## lock()

virtual void etl::ireference_counted_message_pool::lock | ( |  | ) |

inline protected virtual

The pool lock function. Override to add thread or interrupt locking to the pool.

## release()

virtual void etl::ireference_counted_message_pool::release | ( | const etl::ireference_counted_message & | msg | ) |

pure virtual

Implemented in etl::reference_counted_message_pool< TCounter >.

## unlock()

virtual void etl::ireference_counted_message_pool::unlock | ( |  | ) |

inline protected virtual

The pool unlock function. Override to add thread or interrupt unlocking to the pool.

The documentation for this class was generated from the following file:

- include/etl/ireference_counted_message_pool.h